<?php
	// V5.07A get ECB cube rates into JavaScript structure
	$ratesurl = "https://www.ecb.europa.eu/stats/eurofxref/eurofxref-daily.xml";	// the ECB XML feed
	$jscode = "var np_ecodes=new Object();\r\n";					// JavaScript code start

	// get ECB data in a "try" block
	try 
		{
		$XML = new SimpleXMLElement($ratesurl, NULL, TRUE);
		//If the exception is thrown, the following code won't run
		if ( $XML != false )
			{
			// get data from XML structure
			foreach($XML->Cube->Cube->Cube as $curr)					// get rate items 
				{
				$exchrate[(string)$curr['currency']] = (string)$curr['rate'];		// save ISO code and rate
				}

			$exchrate['EUR'] = 1.00;

			ksort($exchrate);								// sort by ISO codes
			foreach (array_keys($exchrate) as $dest) 
				{
				$lname = array_key_exists($dest, $longnames) ? $longnames[$dest] : '';	// long name
				// add new object. e.g.  np_ecodes['EUR'] = {code:'EUR',rate:1.23,lname:'Europe Euro'};
				$jscode .= "np_ecodes['$dest'] = {code:'$dest', rate:'$exchrate[$dest]', lname:'$lname'};\r\n";
				}
			}		
		}
	//catch exception
	catch(Exception $e)
		{
		$jscode .= '// Error: ' .$e->getMessage();	
		}	
?>
